package ub.scp2.entities;

/**
 * TestResult.java -this class is an entity binded to the testresult table from the database
 * @author serral
 *
 */
public class TestResult implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -5220446749189732687L;
	private Long testResultId;
	private Submission submission;
	private String arguments;
	private String output;
	private String expectedOutput;
	private String style;
	
	//Constructors
	public TestResult(){
		
	}
	
	public TestResult(String arguments, String expectedOutput, String output, String style,Submission submission){

		this.arguments = arguments;
		this.expectedOutput = expectedOutput;
		this.output = output;
		this.style = style;
		this.submission = submission;
	}

	//Getters and Setters

	public String getArguments() {
		return arguments;
	}

	public void setArguments(String arguments) {
		this.arguments = arguments;
	}

	public String getExpectedOutput() {
		return expectedOutput;
	}

	public void setExpectedOutput(String expectedOutput) {
		this.expectedOutput = expectedOutput;
	}

	public String getOutput() {
		return output;
	}

	public void setOutput(String output) {
		this.output = output;
	}

	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}

	public Long getTestResultId() {
		return testResultId;
	}

	public void setTestResultId(Long testResultId) {
		this.testResultId = testResultId;
	}

	public Submission getSubmission() {
		return submission;
	}

	public void setSubmission(Submission submission) {
		this.submission = submission;
	}
	
	

}
